### Hierarchy

- Performance

## Index

### Properties

- nodeTiming
- timeOrigin

### Methods

- clearFunctions
- clearMarks
- clearMeasures
- getEntries
- getEntriesByName
- getEntriesByType
- mark
- measure
- now
- timerify

## Properties

### nodeTiming

nodeTiming: PerformanceNodeTiming

- Defined in node_modules/@types/node/perf_hooks.d.ts:175

An instance of the PerformanceNodeTiming class that provides performance metrics for specific Node.js operational milestones.

### timeOrigin

timeOrigin: number

- Defined in node_modules/@types/node/perf_hooks.d.ts:185

The timeOrigin specifies the high resolution millisecond timestamp from which all performance metric durations are measured.

## Methods

### clearFunctions

- clearFunctions(name?: undefined | string): void

- - Defined in node_modules/@types/node/perf_hooks.d.ts:108

  If name is not provided, removes all PerformanceFunction objects from the Performance Timeline. If name is provided, removes entries with name.

  #### Parameters

  - ##### Optional name: undefined | string

  #### Returns void

### clearMarks

- clearMarks(name?: undefined | string): void

- - Defined in node_modules/@types/node/perf_hooks.d.ts:115

  If name is not provided, removes all PerformanceMark objects from the Performance Timeline. If name is provided, removes only the named mark.

  #### Parameters

  - ##### Optional name: undefined | string

  #### Returns void

### clearMeasures

- clearMeasures(name?: undefined | string): void

- - Defined in node_modules/@types/node/perf_hooks.d.ts:121

  If name is not provided, removes all PerformanceMeasure objects from the Performance Timeline. If name is provided, removes only objects whose performanceEntry.name matches name.

  #### Parameters

  - ##### Optional name: undefined | string

  #### Returns void

### getEntries

- getEntries(): PerformanceEntry[]

- - Defined in node_modules/@types/node/perf_hooks.d.ts:127

  Returns a list of all PerformanceEntry objects in chronological order with respect to performanceEntry.startTime.

  #### Returns PerformanceEntry[]

  list of all PerformanceEntry objects

### getEntriesByName

- getEntriesByName(name: string, type?: undefined | string): PerformanceEntry[]

- - Defined in node_modules/@types/node/perf_hooks.d.ts:136

  Returns a list of all PerformanceEntry objects in chronological order with respect to performanceEntry.startTime whose performanceEntry.name is equal to name, and optionally, whose performanceEntry.entryType is equal to type.

  #### Parameters

  - ##### name: string

  - ##### Optional type: undefined | string

  #### Returns PerformanceEntry[]

  list of all PerformanceEntry objects

### getEntriesByType

- getEntriesByType(type: string): PerformanceEntry[]

- - Defined in node_modules/@types/node/perf_hooks.d.ts:144

  Returns a list of all PerformanceEntry objects in chronological order with respect to performanceEntry.startTime whose performanceEntry.entryType is equal to type.

  #### Parameters

  - ##### type: string

  #### Returns PerformanceEntry[]

  list of all PerformanceEntry objects

### mark

- mark(name?: undefined | string): void

- - Defined in node_modules/@types/node/perf_hooks.d.ts:153

  Creates a new PerformanceMark entry in the Performance Timeline. A PerformanceMark is a subclass of PerformanceEntry whose performanceEntry.entryType is always 'mark', and whose performanceEntry.duration is always 0. Performance marks are used to mark specific significant moments in the Performance Timeline.

  #### Parameters

  - ##### Optional name: undefined | string

  #### Returns void

### measure

- measure(name: string, startMark: string, endMark: string): void

- - Defined in node_modules/@types/node/perf_hooks.d.ts:170

  Creates a new PerformanceMeasure entry in the Performance Timeline. A PerformanceMeasure is a subclass of PerformanceEntry whose performanceEntry.entryType is always 'measure', and whose performanceEntry.duration measures the number of milliseconds elapsed since startMark and endMark.

  The startMark argument may identify any existing PerformanceMark in the the Performance Timeline, or may identify any of the timestamp properties provided by the PerformanceNodeTiming class. If the named startMark does not exist, then startMark is set to timeOrigin by default.

  The endMark argument must identify any existing PerformanceMark in the the Performance Timeline or any of the timestamp properties provided by the PerformanceNodeTiming class. If the named endMark does not exist, an error will be thrown.

  #### Parameters

  - ##### name: string

  - ##### startMark: string

  - ##### endMark: string

  #### Returns void

### now

- now(): number

- - Defined in node_modules/@types/node/perf_hooks.d.ts:180

  #### Returns number

  the current high resolution millisecond timestamp

### timerify

- timerify<T>(fn: T): T

- - Defined in node_modules/@types/node/perf_hooks.d.ts:192

  Wraps a function within a new function that measures the running time of the wrapped function. A PerformanceObserver must be subscribed to the 'function' event type in order for the timing details to be accessed.

  #### Type parameters

  - #### T: function

  #### Parameters

  - ##### fn: T

  #### Returns T

Generated using TypeDoc